//
// Light Buttons
//

.v-btn {
  &.bg-lightprimary {
    &:hover,
    &:active,
    &:focus {
      background-color: rgb(var(--v-theme-primary)) !important;
      color: $white !important;
    }
  }
  &.bg-lightsecondary {
    &:hover,
    &:active,
    &:focus {
      background-color: rgb(var(--v-theme-secondary)) !important;
      color: $white !important;
    }
  }
  &.text-facebook {
    &:hover,
    &:active,
    &:focus {
      background-color: rgb(var(--v-theme-facebook)) !important;
      color: $white !important;
    }
  }
  &.text-twitter {
    &:hover,
    &:active,
    &:focus {
      background-color: rgb(var(--v-theme-twitter)) !important;
      color: $white !important;
    }
  }
  &.text-linkedin {
    &:hover,
    &:active,
    &:focus {
      background-color: rgb(var(--v-theme-linkedin)) !important;
      color: $white !important;
    }
  }
}

.v-btn {
  text-transform: none;
  letter-spacing: $btn-letter-spacing;
}

.v-btn--icon.v-btn--density-default {
  width: calc(var(--v-btn-height) + 6px);
  height: calc(var(--v-btn-height) + 6px);
}

.v-btn-group .v-btn {
  height: inherit !important;
}
